package com.logicbig.example;

import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class ExampleMain3 {

    public static void main(String[] args) throws Exception {
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("test3");
        MyEntity3 entity = createEntity();
        Util.persistEntity(entity, emf);
        Util.readEntity(MyEntity3.class, 1L, emf);
    }

    private static MyEntity3 createEntity() {
        System.out.println("-- Creating an entity instance ");
        MyEntity3 myEntity = new MyEntity3();
        myEntity.setMyId(1L);
        myEntity.setMyStr("testStr");
        System.out.println("-- Entity created: " + Util.toObjectStr(myEntity));
        return myEntity;
    }
}